import * as $dara from '@darabonba/typescript';
export declare class DescribeSslVpnClientCertsResponseBodySslVpnClientCertKeysSslVpnClientCertKey extends $dara.Model {
    createTime?: number;
    endTime?: number;
    name?: string;
    regionId?: string;
    resourceGroupId?: string;
    sslVpnClientCertId?: string;
    sslVpnServerId?: string;
    status?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeSslVpnClientCertsResponseBodySslVpnClientCertKeys extends $dara.Model {
    sslVpnClientCertKey?: DescribeSslVpnClientCertsResponseBodySslVpnClientCertKeysSslVpnClientCertKey[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeSslVpnClientCertsResponseBody extends $dara.Model {
    /**
     * @remarks
     * The number of the page to return.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries per page.
     *
     * @example
     * 10
     */
    pageSize?: number;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 5BE01CD7-5A50-472D-AC14-CA181C5C03BE
     */
    requestId?: string;
    sslVpnClientCertKeys?: DescribeSslVpnClientCertsResponseBodySslVpnClientCertKeys;
    /**
     * @remarks
     * The number of entries returned.
     *
     * @example
     * 1
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
